%global git_commit 6c7a73702e275c04106e0f3a4d025d55eeaed734
%global git_date 20120905

%global git_short_commit %(echo %{git_commit} | cut -c -8)
%global git_suffix %{git_date}git%{git_short_commit}

# git clone git://github.com/bistromath/gr-air-modes.git
# cd %%{name}
# git archive --format=tar --prefix=%%{name}-%%{version}/ %%{git_commit} | \
# bzip2 > ../%%{name}-%%{version}-%%{git_suffix}.tar.bz2

Name:             gr-air-modes
URL:              http://github.com/bistromath/gr-air-modes
Version:          0
Release:          0.6.%{git_suffix}%{?dist}
License:          GPLv3+
BuildRequires:    cmake, python-devel, numpy, scipy, gnuradio-devel
BuildRequires:    sqlite-devel, uhd-devel, boost-devel, doxygen, graphviz
BuildRequires:    swig
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Group:            Applications/Communications
Summary:          SDR receiver for Mode S transponder signals (ADS-B)
Source0:          %{name}-%{git_suffix}.tar.bz2
# Add SONAME to library, patch sent upstream
Patch0:           gr-air-modes-add-soname.patch

%description
Software defined radio receiver for Mode S transponder signals, including
ADS-B reports.

%package devel
Summary:          Development files for gr-air-modes
Group:            Applications/Communications
Requires:         %{name} = %{version}-%{release}

%description devel
Development files for gr-air-modes.

%package doc
Summary:          Documentation files for gr-air-modes
Group:            Applications/Communications
Requires:         %{name} = %{version}-%{release}
BuildArch:        noarch

%description doc
Documentation files for gr-air-modes.

%prep
%setup -q
%patch0 -p1 -b .add-soname

%build
mkdir build
cd build
%cmake -DENABLE_DOXYGEN=on ..
# parallel build is currently broken
make

%install
cd build
make install DESTDIR=%{buildroot}

# remove hashbangs
pushd %{buildroot}%{python_sitearch}/air_modes
for f in *.py
do
  sed -i '/^[ \t]*#!\/usr\/bin\/\(env\|python\)/ d' $f
done
popd

# fix docs
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}
mv %{buildroot}%{_docdir}/gr-gr-air-modes/* %{buildroot}%{_docdir}/%{name}-%{version}/
rmdir %{buildroot}%{_docdir}/gr-gr-air-modes

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING README
%exclude %{_docdir}/%{name}-%{version}/html
%exclude %{_docdir}/%{name}-%{version}/xml
%{_bindir}/uhd_modes.py
%{_libdir}/*.so.*
%{python_sitearch}/*

%files devel
%{_includedir}/gr-air-modes
%{_libdir}/*.so


%files doc
%doc %{_docdir}/%{name}-%{version}/html
%doc %{_docdir}/%{name}-%{version}/xml

%changelog
* Mon Nov 12 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.6.20120905git6c7a7370
- Added swig build requires

* Fri Oct 26 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.5.20120905git6c7a7370
- Rebuilt for new gnuradio

* Tue Sep 25 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.4.20120905git6c7a7370
- Hardcoded path for sbindir to silent depcheck errors

* Mon Sep 24 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.3.20120905git6c7a7370
- Packaged doxygen generated documentation as doc subpackage

* Wed Sep 19 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.2.20120905git6c7a7370
- Used macro for sbindir

* Wed Sep  5 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.1.20120905git6c7a7370
- Initial version
